<template>
  <div>
    <div>
      <Heading title="Environments" />
      <SubHeading title="One-off environments">
        <button>Setup local development environment</button>
        <button @click="handleStartNew">Start new environment</button>
      </SubHeading>
      <NewEnvironment @refreshEnvironments="getEnvironments()" v-if="showStartNew" />
      <EnvironmentsTable :environments="oneOffEnvironments" />
    </div>
  </div>
</template>

<script setup>
import EnvironmentsTable from "./EnvironmentsTable.vue";
import Heading from "./Heading.vue";
import SubHeading from "./SubHeading.vue";
import NewEnvironment from "./NewEnvironment.vue";

import { ref } from 'vue';

const showStartNew = ref(false);

const handleStartNew = () => {
  showStartNew.value = true;
};

const oneOffEnvironments = ref(null)

function getEnvironments() {
  fetch('api/v0/environments')
  .then(response => response.json())
  .then(data => oneOffEnvironments.value = data);
}

getEnvironments();

/*const ciEnvironments = [
  {
    id: 1,
    name: 'Orchestrator Pipeline (83789)',
    url: 'orchestrator-pipeline-83789.wmcloud.org',
    status: 'paused',
    testing_status: 'passed',
    actions: ['info', 'edit', 'play', 'stop']
  },
  {
    id: 2,
    name: 'Wikilambda Pipeline (83782)',
    url: 'wikilambda-pipeline-83782.wmcloud.org',
    status: 'running',
    testing_status: 'in progress',
    actions: ['info', 'edit', 'play', 'stop']
  },
  {
    id: 3,
    name: 'Wikilambda Pipeline (83788)',
    url: 'wikilambda-pipeline-83788.wmcloud.org',
    status: 'paused',
    testing_status: 'failed',
    actions: ['info', 'edit', 'play', 'stop']
  },
  {
    id: 4,
    name: 'Wikilambda Pipeline (83792)',
    url: 'wikilambda-pipeline-83792.wmcloud.org',
    status: 'stopped',
    testing_status: 'passed',
    actions: ['info']
  }
];*/

</script>

<style scoped>
button {
  margin: 0;
}
</style>
